"use strict";
// Copyright (C) 2016 Dmitry Chestnykh
// MIT License. See LICENSE file for details.
Object.defineProperty(exports, "__esModule", { value: true });
var pbkdf2_1 = require("./pbkdf2");
var sha256_1 = require("@stablelib/sha256");
var sha512_1 = require("@stablelib/sha512");
var sha3_1 = require("@stablelib/sha3");
var benchmark_1 = require("@stablelib/benchmark");
var password = benchmark_1.byteSeq(14);
var salt = benchmark_1.byteSeq(32);
benchmark_1.report("pbkdf2/sha256 1", benchmark_1.benchmark(function () { return pbkdf2_1.deriveKey(sha256_1.SHA256, password, salt, 1, 32); }));
benchmark_1.report("pbkdf2/sha256 5000", benchmark_1.benchmark(function () { return pbkdf2_1.deriveKey(sha256_1.SHA256, password, salt, 5000, 32); }));
benchmark_1.report("pbkdf2/sha256 10000", benchmark_1.benchmark(function () { return pbkdf2_1.deriveKey(sha256_1.SHA256, password, salt, 10000, 32); }));
benchmark_1.report("pbkdf2/sha512 5000", benchmark_1.benchmark(function () { return pbkdf2_1.deriveKey(sha512_1.SHA512, password, salt, 5000, 64); }));
benchmark_1.report("pbkdf2/sha3-512 5000", benchmark_1.benchmark(function () { return pbkdf2_1.deriveKey(sha3_1.SHA3512, password, salt, 5000, 64); }));
//# sourceMappingURL=pbkdf2.bench.js.map